List of all members
clan::TextureProvider Class Referenceabstract
clanDisplay Display

Interface for implementing a Texture target. More...

`#include <texture_provider.h>`

## Public Member Functions
Construction
virtual | ~TextureProvider ()
Operations
virtual void | create (int width, int height, int depth, int array_size, TextureFormat texture_format, int levels)=0
| Create texture. More...
virtual PixelBuffer | get_pixeldata (GraphicContext &gc, TextureFormat texture_format, int level) const =0
| Retrieve image data from texture. More...
virtual void | generate_mipmap ()=0
| Generate the mipmap. More...
virtual void | copy_from (GraphicContext &gc, int x, int y, int slice, int level, const PixelBuffer &src, const Rect &src_rect)=0
| Copy image data to texture. More...
virtual void | copy_image_from (int x, int y, int width, int height, int level, TextureFormat texture_format, GraphicContextProvider *gc)=0
| Copy image data from a graphic context. More...
virtual void | copy_subimage_from (int offset_x, int offset_y, int x, int y, int width, int height, int level, GraphicContextProvider *gc)=0
| Copy sub image data from a graphic context. More...
virtual void | set_min_lod (double min_lod)=0
| Set the minimum level of detail texture parameter. More...
virtual void | set_max_lod (double max_lod)=0
| Set the maximum level of detail texture parameter. More...
virtual void | set_lod_bias (double lod_bias)=0
| Sets the level of detail bias constant. More...
virtual void | set_base_level (int base_level)=0
| Sets the texture base level texture parameter. More...
virtual void | set_max_level (int max_level)=0
| Sets the texture max level texture parameter. More...
virtual void | set_wrap_mode (TextureWrapMode wrap_s, TextureWrapMode wrap_t, TextureWrapMode wrap_r)=0
| Set the texture wrapping mode. More...
virtual void | set_wrap_mode (TextureWrapMode wrap_s, TextureWrapMode wrap_t)=0
virtual void | set_wrap_mode (TextureWrapMode wrap_s)=0
virtual void | set_min_filter (TextureFilter filter)=0
| Set the minification filter. More...
virtual void | set_mag_filter (TextureFilter filter)=0
| Set the magnification filter. More...
virtual void | set_max_anisotropy (float v)=0
| Set the maximum degree of anisotropy. More...
virtual void | set_texture_compare (TextureCompareMode mode, CompareFunction func)=0
| Sets the texture compare mode and compare function texture parameters. More...
virtual TextureProvider * | create_view (TextureDimensions texture_dimensions, TextureFormat texture_format, int min_level, int num_levels, int min_layer, int num_layers)=0
| Creates a texture view for this texture More...

## Detailed Description

Interface for implementing a Texture target.

The documentation for this class was generated from the following file:

- texture_provider.h